FDOPEN(3)

NAME
fdopen, _fdopen_r - turn open file into a stream

SYNOPSIS

#include <stdio.h>

FILE *fdopen(int fd, const char *mode);

FILE *_fdopen_r(struct _reent *reent, int fd, const char *mode);

DESCRIPTION

fdopen produces a file descriptor of type FILE *, from a descriptor for an already-open file (returned, for example, by the system subroutine open rather than by fopen). The mode argument has the same meanings as in fopen.

RETURNS

File pointer or NULL, as for fopen.

PORTABILITY

fdopen is ANSI.